List Asset Move History
curl --request GET \
--url https://api.sandbox.nxos.io/v1/ledger/{ledger_key}/asset-move/{asset_move_key}/history \
--header 'Authorization: <authorization>'import requests
url = "https://api.sandbox.nxos.io/v1/ledger/{ledger_key}/asset-move/{asset_move_key}/history"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.sandbox.nxos.io/v1/ledger/{ledger_key}/asset-move/{asset_move_key}/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"asset_move_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_account": {
"ref": "<string>",
"id": "<string>"
},
"destination_account": {
"ref": "<string>",
"id": "<string>"
},
"asset_code": "<string>",
"history": [
{
"source_ref": "<string>",
"destination_ref": "<string>",
"asset_move_ref": "<string>",
"asset_code": "<string>",
"amount_old": 123,
"amount_new": 123,
"status_old": "<string>",
"status_new": "<string>",
"type_old": "<string>",
"type_new": "<string>",
"categories_old": [
"<string>"
],
"categories_new": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z"
}
],
"asset_move_ref": "<string>"
}
]Transaction and Asset Moves
Retrieves the history of an asset move
GET
/
v1
/
ledger
/
{ledger_key}
/
asset-move
/
{asset_move_key}
/
history
List Asset Move History
The asset move history represents an immutable record of all the changes that have occurred to the asset move. This includes the creation of the
asset move, any updates to the asset move.
This endpoint retrieves this history for a specific asset move.
Headers
The Basic Authentication header. Format: "Basic {base64(orgID:apiKey)}"
Path Parameters
The key of the ledger. Examples:
- "123e4567-e89b-12d3-a456-426614174000"
- "id:123e4567-e89b-12d3-a456-426614174000"
- "ref:ledger:customer_a"
The key of the asset move. Examples:
- "123e4567-e89b-12d3-a456-426614174000"
- "id:123e4567-e89b-12d3-a456-426614174000"
- "ref:move:transfer:account_a_to_b:2023-06-15"
Response
200 - application/json
The request has succeeded.
The unique identifier for the asset move
The representation of the source account
Show child attributes
Show child attributes
The represantation of the destination account
Show child attributes
Show child attributes
The reference of the asset
Minimum string length:
1Show child attributes
Show child attributes
The reference of the asset move